/// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 /// <param name="pManager">Use the pManager to register new parameters. pManager is never null.</param>
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("A", "A", "The first polyline", GH_ParamAccess.item);
     pManager.AddCurveParameter("B", "B", "The second polyline", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default);
     pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
 }
Beispiel #2
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Bounds", "B", "Boundary box for the resulting field", GH_ParamAccess.item);
     pManager.AddIntegerParameter("Divisions", "D", "Sample points spacings for the resulting field (greatest extent in one direction)", GH_ParamAccess.item);
     pManager.AddCurveParameter("Areas", "A", "Boundary box for the resulting field", GH_ParamAccess.list);
     pManager.AddNumberParameter("Z Range", "Z", "Maximum height of the surface field (defaults to 5% of boundary width/height)", GH_ParamAccess.item, 0.0);
 }
Beispiel #3
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddIntegerParameter("Quota", "Q", "Desired number of items in final version. Set to 0 to request maximum amount.", GH_ParamAccess.item);
     pManager.AddTextParameter("Access", "A", "Type of accessibility. TODO: Find a way to not ask for numbers here.", GH_ParamAccess.item);
     pManager.AddBooleanParameter("Privacy", "P", "Set to true if private. (enclosed)", GH_ParamAccess.item);
     pManager.AddCurveParameter("Occupation Boundary", "B", "Extents of persistent occupation for this program item. NOTE: This does not include shared circulation.", GH_ParamAccess.item);
     pManager.AddCurveParameter("Geometry", "g", "Collection of curves to be used for drawing the item once placed.", GH_ParamAccess.list);
 }
Beispiel #4
0
        protected override void RegisterInputParams(GH_InputParamManager pManager)

        // inputs
        {
            pManager.AddCurveParameter("Left Edge", "L", "Left Curve Test", GH_ParamAccess.item);
            pManager.AddCurveParameter("Right Edge", "R", "Right Curve Test", GH_ParamAccess.item);
            pManager.AddCurveParameter("canvas boundary", "B", "Canvas Boundary", GH_ParamAccess.item);
        }
Beispiel #5
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Contour Curves", "C", "The contours to check", GH_ParamAccess.list);
     pManager[0].Optional = false;
     pManager.AddCurveParameter("Boundary", "B", "The boundary rectangle to clip to", GH_ParamAccess.item);
     pManager[1].Optional = false;
     pManager.AddNumberParameter("Maximum Distance", "D", "The maximum distance allowed as a gap between two contours", GH_ParamAccess.item);
     pManager[2].Optional = true;
 }
Beispiel #6
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Contour Curves", "C", "The contours to clip", GH_ParamAccess.list);
     pManager[0].Optional = false;
     pManager.AddCurveParameter("Boundary", "B", "The boundary rectangle to clip to", GH_ParamAccess.item);
     pManager[1].Optional = false;
     pManager.AddBooleanParameter("Create PlanarSrfs", "P", "Whether to create planar surfaces; may be slow with large quantities of contours!", GH_ParamAccess.item);
     pManager[2].Optional = true;
 }
Beispiel #7
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        /// <param name="pManager">Use the pManager to register new parameters. pManager is never null.</param>
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            EvenOdd = EvenOdd;
            pManager.AddCurveParameter("A", "A", "The first polyline", GH_ParamAccess.list);
            pManager.AddCurveParameter("B", "B", "The first polyline", GH_ParamAccess.list);
            pManager[1].Optional = true;
            // ctIntersection, ctUnion, ctDifference, ctXor };
            pManager.AddIntegerParameter("BooleanType", "BT", "Type: (0: intersection, 1: union, 2: difference, 3: xor)", GH_ParamAccess.item, 0);

            pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default);
            pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, RhinoDoc.ActiveDoc.ModelAbsoluteTolerance);
        }
Beispiel #8
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        /// <param name="pManager">Use the pManager to register new parameters. pManager is never null.</param>
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            EvenOdd = EvenOdd;
            pManager.AddCurveParameter("A", "A", "The first polyline", GH_ParamAccess.list);
            pManager.AddCurveParameter("B", "B", "The first polyline", GH_ParamAccess.list);
            pManager[1].Optional = true;
            // ctIntersection, ctUnion, ctDifference, ctXor };
            var btParamIndex = pManager.AddIntegerParameter("BooleanType", "BT", "Type: (0: intersection, 1: union, 2: difference, 3: xor)", GH_ParamAccess.item, 0);
            var btParam      = pManager[btParamIndex] as Param_Integer;

            ParamHelper.AddEnumOptionsToParam <BooleanClipType>(btParam);

            pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default);
            pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, DocHelper.GetModelTolerance());
        }
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curves", "C", "The curves to display", GH_ParamAccess.item);
     pManager.AddColourParameter("Color", "Col", "The color to use for direction display", GH_ParamAccess.item,
                                 Color.Red);
     pManager.AddIntegerParameter("Size", "S", "The size to display direction arrows", GH_ParamAccess.item, 20);
 }
Beispiel #10
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 /// <param name="pManager">Use the pManager to register new parameters. pManager is never null.</param>
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Polyline", "Pl", "A list of polylines to offset", GH_ParamAccess.item);
     pManager.AddPointParameter("Point", "P", "Offset Distance", GH_ParamAccess.item);
     pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default);
     pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, DocHelper.GetModelTolerance());
 }
Beispiel #11
0
 protected override void RegisterInputParams(GH_InputParamManager manager)
 {
     manager.AddCurveParameter("Boundary", "B", string.Empty, GH_ParamAccess.item);
     manager[manager.AddParameter(new Parameters.ElementType(), "Type", "FT", string.Empty, GH_ParamAccess.item)].Optional = true;
     manager[manager.AddParameter(new Parameters.Element(), "Level", "L", string.Empty, GH_ParamAccess.item)].Optional     = true;
     manager.AddBooleanParameter("Structural", "S", string.Empty, GH_ParamAccess.item, true);
 }
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curve", "Crv", "Curve Geometry", GH_ParamAccess.list);
     pManager.AddTextParameter("Id", "Id", "Identifier of axis (4 char)", GH_ParamAccess.list, string.Empty);
     pManager.AddTextParameter("Type", "Type", "Type of SOFiSTiK Axis (acc. SOFiMSHC manual)", GH_ParamAccess.list, "LANE");
     // pManager.AddBooleanParameter("Scale Param", "ScaleP", "Scale Parametrization to Curve Length", GH_ParamAccess.item, true);
 }
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Flow Paths", "C", "The flow paths as generated by the flows component", GH_ParamAccess.list);
     pManager[0].Optional = false;
     pManager.AddNumberParameter("Proximty Threshold", "T", "The distance between end points required to form a catchment", GH_ParamAccess.item);
     pManager[1].Optional = true;
 }
        //This region overrides the typical component layout
        #endregion

        #region input and output
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            pManager.AddIntegerParameter("Load case", "LC", "Load case number (default 1)", GH_ParamAccess.item, 1);
            pManager.AddCurveParameter("PolyLine", "L", "PolyLine. If you input grid plane below only x and y coordinate positions will be used from this polyline, but if not a new Grid Plane Surface (best-fit plane) will be created from PolyLine control points.", GH_ParamAccess.item);
            pManager.AddGenericParameter("Grid Plane Surface", "GPS", "Grid Plane Surface or Plane (optional). If no input here then the line's best-fit plane will be used", GH_ParamAccess.item);
            pManager.AddTextParameter("Direction", "Di", "Load direction (default z)." +
                                      System.Environment.NewLine + "Accepted inputs are:" +
                                      System.Environment.NewLine + "x" +
                                      System.Environment.NewLine + "y" +
                                      System.Environment.NewLine + "z", GH_ParamAccess.item, "z");
            pManager.AddIntegerParameter("Axis", "Ax", "Load axis (default Global). " +
                                         System.Environment.NewLine + "Accepted inputs are:" +
                                         System.Environment.NewLine + "0 : Global" +
                                         System.Environment.NewLine + "-1 : Local", GH_ParamAccess.item, 0);
            pManager.AddBooleanParameter("Projected", "Pj", "Projected (default not)", GH_ParamAccess.item, false);
            pManager.AddTextParameter("Name", "Na", "Load Name", GH_ParamAccess.item);
            pManager.AddNumberParameter("Value Start (" + Units.Force + "/" + Units.LengthLarge + ")", "V1", "Load Value (" + Units.Force + "/" + Units.LengthLarge + ") at Start of Line", GH_ParamAccess.item);
            pManager.AddNumberParameter("Value End (" + Units.Force + "/" + Units.LengthLarge + ")", "V2", "Load Value (" + Units.Force + "/" + Units.LengthLarge + ") at End of Line (default : Start Value)", GH_ParamAccess.item);

            pManager[0].Optional = true;
            pManager[2].Optional = true;
            pManager[3].Optional = true;
            pManager[4].Optional = true;
            pManager[5].Optional = true;
            pManager[6].Optional = true;
            pManager[8].Optional = true;
        }
Beispiel #15
0
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            //0
            pManager.AddGeometryParameter("Geometry", "Geom", "Input Surface or Mesh", GH_ParamAccess.item);

            //1
            pManager.AddGenericParameter("TargetLengthFunction", "L", "A function determining local edge length", GH_ParamAccess.item);

            //2
            pManager.AddCurveParameter("FixCurves", "FixC", "Curves which will be kept sharp during remeshing. Can be boundary or internal curves", GH_ParamAccess.list);
            pManager[2].Optional = true;

            //3
            pManager.AddPointParameter("FixVertices", "FixV", "Points to keep fixed during remeshing", GH_ParamAccess.list);
            pManager[3].Optional = true;

            //4
            pManager.AddIntegerParameter("Flip", "Flip", "Criterion used to decide when to flip edges (0 for valence based, 1 for angle based)", GH_ParamAccess.item, 1);

            //5
            pManager.AddNumberParameter("PullStrength", "Pull", "Strength of pull to target geometry (between 0 and 1). Set to 0 for minimal surfaces", GH_ParamAccess.item, 0.8);

            //6
            pManager.AddIntegerParameter("Iterations", "Iter", "Number of steps between outputs", GH_ParamAccess.item, 1);

            //7
            pManager.AddBooleanParameter("Reset", "Reset", "True to initialize, false to run remeshing. Connect a timer for continuous remeshing", GH_ParamAccess.item, true);
        }
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Polyline", "P", "Polyline to extrude", GH_ParamAccess.item);
     pManager.AddVectorParameter("Direction", "D", "Extrusion direction", GH_ParamAccess.item);
     pManager.AddBooleanParameter("Cap", "C", "Set True to cap extrusion",
                                  GH_ParamAccess.item, false);
 }
Beispiel #17
0
        /// <summary>
        /// Registers all the input parameters for this component.
        /// </summary>
        /// <param name="pManager">Use the pManager to register new parameters. pManager is never null.</param>
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            // set the message for this component.
            pManager.AddCurveParameter("Polylines", "P", "A list of polylines to offset", GH_ParamAccess.list);
            pManager.AddNumberParameter("Distance", "D", "Offset Distance", GH_ParamAccess.item);
            pManager.AddPlaneParameter("Plane", "Pln", "Plane to project the polylines to", GH_ParamAccess.item, default);


            pManager.AddNumberParameter("Tolerance", "T", "Tolerance: all floating point data beyond this precision will be discarded.", GH_ParamAccess.item, DocHelper.GetModelTolerance());
            //public enum ClosedFilletType { Round, Square, Miter }
            var cfParamIndex = pManager.AddIntegerParameter("ClosedFillet", "CF", "Closed fillet type (0 = Round, 1 = Square, 2 = Miter)", GH_ParamAccess.list, new List <int> {
                1
            });
            var cfParam = pManager[cfParamIndex] as Param_Integer;

            ParamHelper.AddEnumOptionsToParam <Polyline3D.ClosedFilletType>(cfParam);

            //public enum OpenFilletType { Round, Square, Butt }
            var ofParamIndex = pManager.AddIntegerParameter("OpenFillet", "OF", "Open fillet type (0 = Round, 1 = Square, 2 = Butt)", GH_ParamAccess.list, new List <int> {
                1
            });
            var ofParam = pManager[ofParamIndex] as Param_Integer;

            ParamHelper.AddEnumOptionsToParam <Polyline3D.OpenFilletType>(ofParam);

            pManager.AddNumberParameter("Miter", "M", "If closed fillet type of Miter is selected: the maximum extension of a curve is Distance * Miter", GH_ParamAccess.item, 2);
        }
 //register all the input parameters
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Crve", "C", "Curves to Divide", GH_ParamAccess.item);
     pManager.AddNumberParameter("Distance", "D", "List of Distances", GH_ParamAccess.list);
     pManager.AddIntegerParameter("Repeat Type", "R", "0 = Wrap, 1 = Repeat Last, 2 = No Repeat. Default is 0", GH_ParamAccess.item, 0);
     //pManager.AddIntegerParameter("Pattern", "P", "Pattern index if using optional distances. ", GH_ParamAccess.list);
     pManager.HideParameter(0);
 }
Beispiel #19
0
 protected override void RegisterInputParams(GH_InputParamManager manager)
 {
     manager.AddCurveParameter("Axis", "A", string.Empty, GH_ParamAccess.item);
     manager[manager.AddParameter(new Parameters.Element(), "FamilyType", "F", string.Empty, GH_ParamAccess.item)].Optional = true;
     manager[manager.AddParameter(new Parameters.Element(), "Level", "L", string.Empty, GH_ParamAccess.item)].Optional      = true;
     manager.AddBooleanParameter("Structural", "S", string.Empty, GH_ParamAccess.item, true);
     manager[manager.AddNumberParameter("Height", "H", string.Empty, GH_ParamAccess.item)].Optional = true;
 }
Beispiel #20
0
        }  // Contour Flood Analysis

        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("等高线", "C", "要进行淹没分析的等高线", GH_ParamAccess.list);
            pManager.AddIntegerParameter("高程", "E", "水面的高程", GH_ParamAccess.item);
            pManager.AddBooleanParameter("摊平", "F", "是否要将水下等高线摊平到水平面,默认为false", GH_ParamAccess.item, false);
            pManager.AddColourParameter("水上色", "Cu", "未淹没区等高线的色彩", GH_ParamAccess.item, Color.White);
            pManager.AddColourParameter("水下色", "Cd", "被淹没区等高线的色彩", GH_ParamAccess.item, Color.FromArgb(59, 104, 156));
        }
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddGeometryParameter("Region", "R", "Boundary region as either a planar polyline or a mesh.", GH_ParamAccess.item);
     pManager.AddCurveParameter("Polylines", "P", "Polylines to grow.", GH_ParamAccess.list);
     pManager.AddNumberParameter("Radius", "R", "Collision radius.", GH_ParamAccess.item);
     pManager.AddIntegerParameter("Iterations", "I", "Simulation iterations.", GH_ParamAccess.item);
     pManager.AddIntegerParameter("Convergence", "C", "Convergence iterations.", GH_ParamAccess.item);
 }
Beispiel #22
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("目标曲线", "C", "指定一条被分割的PolyLine", GH_ParamAccess.item);
     pManager.AddNumberParameter("面积限制", "L", "当划分用地大于面积限制时进行进一步划分", GH_ParamAccess.item, 15000);
     pManager.AddIntegerParameter("随机因子", "S", "随机因子", GH_ParamAccess.item, 35);
     pManager[1].Optional = true;
     pManager[2].Optional = true;
 }
Beispiel #23
0
 protected override void RegisterInputParams(GH_InputParamManager manager)
 {
     manager.AddCurveParameter("Curve", "C", string.Empty, GH_ParamAccess.item);
     manager[manager.AddBooleanParameter("Visible", "V", string.Empty, GH_ParamAccess.item, true)].Optional = true;
     manager[manager.AddParameter(new Parameters.GraphicsStyle(), "Subcategory", "S", string.Empty, GH_ParamAccess.item)].Optional = true;
     manager[manager.AddIntegerParameter("Visibility", "S", string.Empty, GH_ParamAccess.item, -1)].Optional  = true;
     manager[manager.AddBooleanParameter("Symbolic", "S", string.Empty, GH_ParamAccess.item, false)].Optional = true;
 }
Beispiel #24
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curve", "C", "Planar curve to extrude", GH_ParamAccess.item);
     pManager.AddNumberParameter("Distance", "D", "Extrusion distance", GH_ParamAccess.item, 1.0);
     pManager.AddBooleanParameter("BothSides", "B", "Extrude curve on both sides", GH_ParamAccess.item, false);
     pManager.AddBooleanParameter("Solid", "S", "Create a closed solid if curve is closed", GH_ParamAccess.item, false);
     pManager.AddBooleanParameter("Up", "U", "Extrude in up direction", GH_ParamAccess.item, false);
 }
Beispiel #25
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Line", "Line", "Line of axis. Line will be projected onto XY-plane.", GH_ParamAccess.item);
     pManager.AddTextParameter("Prefix", "Prefix", "Prefix of axis identifier.", GH_ParamAccess.item, "");
     pManager[pManager.ParamCount - 1].Optional = true;
     pManager.AddIntegerParameter("Id", "Id", "Number of axis identifier. Number can be converted to letter.", GH_ParamAccess.item);
     pManager.AddBooleanParameter("IdIsLetter", "IdIsLetter", "Is identifier a letter?", GH_ParamAccess.item, false);
     pManager[pManager.ParamCount - 1].Optional = false;
 }
Beispiel #26
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curve", "Crv", "Curve Geometry", GH_ParamAccess.list);
     pManager.AddIntegerParameter("Number", "Number", "Identifier of structural line", GH_ParamAccess.list, 0);
     pManager.AddIntegerParameter("Group", "Group", "Group number of structural line", GH_ParamAccess.list, 0);
     pManager.AddIntegerParameter("Section", "Section", "Identifier of cross section", GH_ParamAccess.list, 0);
     pManager.AddVectorParameter("Dir Z", "Dir z", "Direction of local z-axis", GH_ParamAccess.list, new Vector3d());
     pManager.AddTextParameter("Fixation", "Fixation", "Support condition literal", GH_ParamAccess.list, string.Empty);
 }
Beispiel #27
0
 void Inputs(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Paths", "P", "Paths as as list of polylines.", GH_ParamAccess.list);
     pManager.AddParameter(new ExtrusionAttributesParameter(), "Extrusion attributes", "A", "Extrusion attributes.", GH_ParamAccess.item);
     pManager.AddNumberParameter("Extrusion Factor", "F", "Extrusion factor.", GH_ParamAccess.item, 0.21);
     pManager.AddNumberParameter("Suck Back", "Sb", "Distance to extrude in reverse immediately after stopping the extrusion. To avoid dripping material.", GH_ParamAccess.item, 0);
     pManager.AddNumberParameter("Start Distance", "Sd", "Distance to extrude before the robot starts moving. To compensate for material not flowing immediately after starting the extrusion.", GH_ParamAccess.item, 0);
     pManager.AddNumberParameter("Test Loop", "L", "Distance for test loop.", GH_ParamAccess.item, 200);
 }
Beispiel #28
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddGenericParameter("GH物件", "G", "需要Cook的GH物件", GH_ParamAccess.item);
     pManager.AddTextParameter("图层名字", "L", "Rhino文档相应图层,可以不事先创建,可为某个图层的子图层(父图层::子图层)", GH_ParamAccess.item);
     pManager.AddCurveParameter("填充曲线", "H", "需要填充的曲线列表", GH_ParamAccess.list);
     pManager.AddColourParameter("图层颜色", "C", "该图层的颜色", GH_ParamAccess.item, Color.Black);
     pManager[0].Optional = true;
     pManager[2].Optional = true;
 }
Beispiel #29
0
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            pManager.AddCurveParameter("Geometry", "G", "Shape geometry", GH_ParamAccess.item);
            pManager.AddTextParameter("Edge", "E", "Optional edge description", GH_ParamAccess.item);
            pManager.AddTextParameter("Fill", "F", "Optional fill description", GH_ParamAccess.item);

            pManager[1].Optional = true;
            pManager[2].Optional = true;
        }
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 /// <param name="pManager">GH_InputParamManager: This class is used during Components constructions to add input parameters.</param>
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curve", "G", "Closed Curves", GH_ParamAccess.list);
     pManager.AddIntegerParameter("Copies", "C", "Copies", GH_ParamAccess.item,1);
     pManager.AddIntegerParameter("Priority", "P", "Priority", GH_ParamAccess.item,1);
     pManager.AddParameter(new Orientation(),"Orientation", "O", "Orientation", GH_ParamAccess.item);
         // Ha de ser un ObjectOrientation
     pManager.AddParameter(new Criterion(),"Criterion", "Cr", "Criterion", GH_ParamAccess.item);
         // Ha de ser un ObjectCriterion
 }
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            pManager.AddTextParameter("Type", "T", "Type of advice to offer.", GH_ParamAccess.item);
            pManager.AddCurveParameter("Bounds", "B", "Region advice is being applied to.", GH_ParamAccess.item);
            pManager.AddIntegerParameter("Program Indices", "i", "Indices of programs to apply advice to.", GH_ParamAccess.list);
            pManager.AddNumberParameter("Program Adjustments", "a", "Adjustment to be made to program.", GH_ParamAccess.list);

            pManager[2].Optional = true;
            pManager[3].Optional = true;
        }
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
   base.RegisterInputParams(pManager);
   pManager.AddCurveParameter(RS.curveName, RS.curveNickname, RS.curveForFollowPathDescription, GH_ParamAccess.item);
   pManager.AddNumberParameter(RS.pathRadiusName, RS.radiusNickname,
     RS.pathRadiusDescription, GH_ParamAccess.item, RS.pathRadiusDefault);
   pManager.AddNumberParameter(RS.predictionDistanceName, RS.predictionDistanceNickName, RS.predictionDistanceDescription,
     GH_ParamAccess.item);
   pManager.AddNumberParameter(RS.pathTargetDistanceName, RS.pathTargetDistanceNickName,
     RS.pathTargetDistanceDescription,
     GH_ParamAccess.item);
   pManager[pManager.ParamCount-1].Optional = true;
   pManager[pManager.ParamCount - 2].Optional = true;
 }
Beispiel #33
0
        protected override void RegisterInputParams(GH_InputParamManager pManager)
        {
            //0
            pManager.AddGeometryParameter("Geometry", "Geom", "Input Surface or Mesh", GH_ParamAccess.item);

            //1
            pManager.AddGenericParameter("TargetLengthFunction", "L", "A function determining local edge length", GH_ParamAccess.item);

            //2
            pManager.AddCurveParameter("FixCurves", "FixC", "Curves which will be kept sharp during remeshing. Can be boundary or internal curves", GH_ParamAccess.list);
            pManager[2].Optional = true;

            //3
            pManager.AddPointParameter("FixVertices", "FixV", "Points to keep fixed during remeshing", GH_ParamAccess.list);
            pManager[3].Optional = true;

            //4
            pManager.AddIntegerParameter("Flip", "Flip", "Criterion used to decide when to flip edges (0 for valence based, 1 for angle based)", GH_ParamAccess.item, 1);

            //5
            pManager.AddNumberParameter("PullStrength", "Pull", "Strength of pull to target geometry (between 0 and 1). Set to 0 for minimal surfaces", GH_ParamAccess.item, 0.8);

            //6
            pManager.AddIntegerParameter("Iterations", "Iter", "Number of steps between outputs", GH_ParamAccess.item, 1);

            //7
            pManager.AddBooleanParameter("Reset", "Reset", "True to initialize, false to run remeshing. Connect a timer for continuous remeshing", GH_ParamAccess.item, true);
        }
 /// <summary>
 ///     Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddCurveParameter("Curve", "C", "Curvvv", GH_ParamAccess.item);
     //pManager.AddBooleanParameter("Multi Sheet", "MS", "Multi Sheet", GH_ParamAccess.item, true);
 }
Beispiel #35
0
 /// <summary>
 /// Registers all the input parameters for this component.
 /// </summary>
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
   base.RegisterInputParams(pManager);
   pManager.AddCurveParameter(RS.curveName, RS.curveNickname, RS.curveForEmitterDescription, GH_ParamAccess.item);
 }
Beispiel #36
0
 protected override void RegisterInputParams(GH_InputParamManager pManager)
 {
     pManager.AddBooleanParameter("Trigger", "T", "Trigger to stream the data from Grasshopper to another application.", GH_ParamAccess.item, false);
     pManager.AddPointParameter("Origin Point", "OP", "Origin points for sent objects.", GH_ParamAccess.tree, null);
     pManager.AddPointParameter("Adaptive Points", "AP", "Adaptive component points.", GH_ParamAccess.tree, null);
     pManager.AddCurveParameter("Curve", "C", "Single arc, line, or closed planar curves.  Closed planar curves can be used to generate floor, wall or roof sketches, or single segment non-closed arcs or lines can be used for line based family generation.", GH_ParamAccess.tree);
     pManager.AddVectorParameter("Orientation", "O", "Vector to orient objects.", GH_ParamAccess.tree);
     pManager.AddVectorParameter("Orientation on Face", "F", "Orientation of the element in relation to the face it will be hosted to", GH_ParamAccess.tree);
     pManager[1].Optional = true;
     pManager[2].Optional = true;
     pManager[3].Optional = true;
     pManager[4].Optional = true;
     pManager[5].Optional = true;
 }